# Prerequisites for Snyk Code

To start using Snyk Code, you need the following:

* A Snyk Account.\
  **Note**: For more information on the creation of a Snyk Account, see [Setting Up your Snyk Account](https://docs.snyk.io/tutorials/getting-started/snyk-integrations/snyk-account).
* A supported Source Code Management (SCM) system that is integrated with your Snyk Account.\
  Snyk Code supports the following SCMs: GitHub, GitHub Enterprise, GitLab Cloud, Bitbucket Cloud, Bitbucket Server, and Azure Repos.\
  **Note**: For more information on integrating your SCM with your Snyk Account, see [Snyk Code Integrations](https://docs.snyk.io/products/snyk-code/key-features/integrations).
* Repositories with code in a supported language and platform.\
  **Note**: For more information, see [Snyk Code - Supported languages and frameworks](../../../scan-applications/snyk-code/snyk-code-language-and-framework-support.md).
